(($, Drupal, cookies) => {
  Drupal.behaviors.field_group_bootstrap = {
    attach: (context, settings) => {
      //memory when click on tab
      $('.field-group-bootstrap_tabs-wrapper .nav .nav-link',context).click(function(){
        // Retrieve a cookie.
        var tabs = cookies.get('bootstrap_tabs');
        if (tabs) {
          tabs = JSON.parse(tabs);
        }else{
          tabs = {};
        }
        var currentTab = $(this).attr('aria-controls');
        var currentGroup = $(this).data('group');
        tabs[currentGroup] = currentTab;
        // Set a cookie.
        cookies.set('bootstrap_tabs', JSON.stringify(tabs));
      });

      //memory when click on list item scrollby
      $('.field-group-bootstrap_scrollby-wrapper .list-group .list-group-item',context).click(function(){
        // Retrieve a cookie.
        var scrollbys = cookies.get('bootstrap_scrollby');
        if (scrollbys) {
          scrollbys = JSON.parse(scrollbys);
        }else{
          scrollbys = {};
        }
        var currentTab = $(this).data('controls');
        var currentGroup = $(this).data('group');
        scrollbys[currentGroup] = currentTab;
        // Set a cookie.
        cookies.set('bootstrap_scrollby', JSON.stringify(scrollbys));
      });

      //memory when click on accordion
      $('.field-group-bootstrap_accordion-wrapper .accordion-button',context).click(function(){
        // Retrieve a cookie.
        var accordions = cookies.get('bootstrap_accordion');
        if (accordions) {
          accordions = JSON.parse(accordions);
        }else{
          accordions = {};
        }
        var currentAccordion = $(this).data('controls');
        var currentGroup = $(this).data('group');
        accordions[currentGroup] = currentAccordion;
        // Set a cookie.
        cookies.set('bootstrap_accordion', JSON.stringify(accordions));
      });
    },
  };
})(jQuery, Drupal, window.Cookies);
